## node-generic-pool 2.0.3

=== Makefile ===
all:

check:
	npm test

## node-generic-pool 1.0.8

=== debian/changelog ===
node-generic-pool (1.0.8-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Thu, 17 Nov 2011 17:21:26 +0100

node-generic-pool (1.0.7-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 16 Nov 2011 22:11:53 +0100

node-generic-pool (1.0.6-1) unstable; urgency=low

  * Initial release (Closes: #645524)

 -- David Paleino <dapal@debian.org>  Sun, 16 Oct 2011 18:21:47 +0200

=== debian/control ===
Source: node-generic-pool
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/coopernurse/node-pool
Vcs-Git: git://git.debian.org/collab-maint/node-generic-pool.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-generic-pool.git;a=summary

Package: node-generic-pool
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: generic resource pooling for NodeJS
 generic-pool is a generic resource pooling for NodeJS.
 It can be used to reuse or throttle expensive resources such as database
 connections.

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=generic-pool \
	http://registry.npmjs.org/generic-pool/-/generic-pool-(\d+.*)\.tgz

## node-generic-pool 1.0.9

=== debian/changelog ===
node-generic-pool (1.0.9-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sat, 31 Dec 2011 11:51:34 +0100

## node-generic-pool 2.0.3

=== debian/changelog ===
node-generic-pool (2.0.3-1) unstable; urgency=low

  * New upstream version
  * Standards-Version 3.9.4
  * Canonicalize Vcs fields
  * Copyright format 1.0, rename MIT to Expat
  * Watch github directly
  * Disable make check

 -- Jérémy Lal <kapouer@melix.org>  Mon, 02 Sep 2013 23:51:58 +0200

=== debian/control ===
Source: node-generic-pool
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
Standards-Version: 3.9.4
Homepage: https://github.com/coopernurse/node-pool
Vcs-Git: git://anonscm.debian.org/collab-maint/node-generic-pool.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-generic-pool.git

Package: node-generic-pool
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: generic resource pooling for Node.js
 generic-pool is a generic resource pooling for Node.js.
 It can be used to reuse or throttle expensive resources such as database
 connections.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-generic-pool-$1.tar.gz/ \
https://github.com/coopernurse/node-pool/tags .*/archive/v?([\d\.]+).tar.gz

## node-generic-pool 3.1.1

=== debian/changelog ===
node-generic-pool (3.1.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 23:46:23 +0100

node-generic-pool (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1 (Closes: #844079).
  * debhelper 9
  * Standards-Version 3.9.8
  * Secure Vcs url
  * Bump copyright years
  * Add autopkgtest

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 Nov 2016 12:45:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
-	dh_buildinfo
+override_dh_auto_install:
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: require
Depends: node-generic-pool

## node-generic-pool 3.8.2

=== debian/changelog ===
node-generic-pool (3.8.2-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 27 Jun 2022 12:20:21 +0200

node-generic-pool (3.8.2-1) experimental; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Trim trailing whitespace
  * Use secure copyright file specification URI
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat
  * Change priority extra to priority optional
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Update Vcs-* headers to use salsa repository

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.6.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
    * Fix filenamemangle
    * Fix GitHub tags regex
  * Drop nodejs dependency
  * use dh-sequence-nodejs auto install
  * Enable upstream test (tap)
  * New upstream version 3.8.2
  * Update test for tap >= 14

 -- Yadd <yadd@debian.org>  Mon, 27 Jun 2022 10:49:41 +0200

=== debian/control ===
Source: node-generic-pool
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-tap (>= 14) <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-generic-pool
Vcs-Git: https://salsa.debian.org/js-team/node-generic-pool.git
Homepage: https://github.com/coopernurse/node-pool
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-generic-pool
Architecture: all
Depends: ${misc:Depends}
Description: generic resource pooling for Node.js
 generic-pool is a generic resource pooling for Node.js.
 It can be used to reuse or throttle expensive resources such as database
 connections.
 .
 Node.js is an event-based server-side javascript engine.

## node-generic-pool 3.9.0

=== Makefile ===
.PHONY: all clean install check test lint

all:

clean:
	rm -rf node_modules

install:
	npm install

check:
	npm test

test:
	npm test

lint:
	npm run lint

=== debian/changelog ===
node-generic-pool (3.9.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-generic-pool: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 14:26:45 +0000

node-generic-pool (3.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.0

 -- Yadd <yadd@debian.org>  Sun, 11 Sep 2022 08:09:38 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Package: node-generic-pool
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: generic resource pooling for Node.js
  generic-pool is a generic resource pooling for Node.js.
  It can be used to reuse or throttle expensive resources such as database

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-generic-pool-$1/ \
https://github.com/coopernurse/node-pool/tags .*/archive/.*/v?([\d\.]+).tar.gz
